/********************************** CF92EV.H *********************************

Copyright Symbios Logic Inc.


Author:		Erich Otto Symbios Logic Systems Engineer
Purpose:		53CF92 Demonstration Software

This software was written by Symbios Logic to develop and test new products.  It is not a 
general SCSI driver.  Symbios Logic assumes no liability for its use, misuse or inability to use.

Project files:
		CF92.C 		Main body of code
		TARGET92.C	Target Mode routines
		CF92ISR.C	Interrupt Service Routine
		CF92TEST.C	Automatic Test Module
		AT_DMA92.C	Hardware dependant DMA code (8237 compatible)
		AT_DMA92.H  DMA controller parameters
		CF92AT.H	Hardware addresses, global defines
		CF92EV.H	External variables

				  **************/


/***************************** Global Variables **************************/

extern struct parms {
	unsigned 	tid, mid, atn, msg_byte, sync_offset, sync_period,
		blksize, blkcount, timeout, parity, clock, burst,
		detail, FASTclk, FAST_SCSI, REQ_ACK, TCT, ANE,
		ESRB, T8, DMA, macnica;
	} parms;

extern int i, j, temp1, temp2, page, pagemax;

extern unsigned long seg, off, abs_adrs, iocount, byte_count;

extern unsigned int	dma_buf[2048], cdb_buf[8], intstat,
			status, seq, flag, statbyte, msg, x_count,
			fifo_flags, scsicmd;

extern unsigned char far* cdb, far* dmabyte, scsi_error, cmd_error,
			pause_flag, SDTR_out[16], SDTR_in[16],
			synch_string[14], test_error, RCB, group_code,
			bus_ID, ID_msg,	config1_image, config2_image,
			config3_image, config4_image;

extern char	cmd,temp,looprw,setup_cmd;
